post
https://endpoints-staging.tilkee.com/v3/items/
When you want to add a new file or URL in order to share it through Tilkee, you must create an item with a link.
Then you will be able to re-use this item in any project that you will build.
Most of the time, you will like to upload a pdf file in order to create an item. You can follow our guide here to do so.
While creating an item, you must define at least 4 attributes :
nameformat: this must follow[document_type]:[upload_method]format. With document_type in[document, image, video, iframe]andupload_methodin[url, external_url, base64].sharing_settings: you must define an array of user_id that will have access to or share it to everyone or no-one.content: this content should be a Tilkee S3 URL to your document, a base64-encoded file or a link to an external_url
In most of the cast, you will use the format attribue with : document:url value as it allows you to upload a pdf file that you already uploaded on Tilkee's S3.
.png)